Purchase Orders
All operations require authentication.
5 operationsv1/me/billing
Retrieve all purchase ordersBeta
GET
/1.0/ me/ billing/ purchaseOrder
Query parameters
billing Group Id
integer
Billing Group Identifier
Response
200integer []successful operation
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ purchaseOrder \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a purchase orderBeta
POST
/1.0/ me/ billing/ purchaseOrder
Request body (required)
active
boolean
Active
billing Group Id
integer
Billing Group identifier
description
string
Description
end Date
stringdate
End date
reference
required
string
Reference
start Date
required
stringdate
Start date
type
required
Purchase Order Type Enum
Type of a purchase order
Values
PURCHASE_ORDERREFERENCE_ORDERResponse
200Purchase Ordersuccessful operation
active
read-only
boolean
Active
billing Group Id
read-only
integer
Billing Group identifier
creation Date
read-only
stringdate-time
Creation date
description
read-only
string
Description
end Date
read-only
stringdate
End date
id
read-only
integer
Purchase Order identifier
last Update
read-only
stringdate-time
Last update date
reference
read-only
string
Reference
start Date
read-only
stringdate
Start date
status
read-only
Status Enum
Status
Values
CREATEDDELETEDtype
read-only
Purchase Order Type Enum
Type of a purchase order
Values
PURCHASE_ORDERREFERENCE_ORDERReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ purchaseOrder \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "billingGroupId": 0, "creationDate": "2024-01-01T12:00:00Z", "description": "string", "endDate": "2024-01-01", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "reference": "string", "startDate": "2024-01-01", "status": "CREATED", "type": "PURCHASE_ORDER"}
Retrieve information about a purchase orderBeta
GET
/1.0/ me/ billing/ purchaseOrder/ {id}
Path parameters
id
required
integer
Id
Response
200Purchase Ordersuccessful operation
active
read-only
boolean
Active
billing Group Id
read-only
integer
Billing Group identifier
creation Date
read-only
stringdate-time
Creation date
description
read-only
string
Description
end Date
read-only
stringdate
End date
id
read-only
integer
Purchase Order identifier
last Update
read-only
stringdate-time
Last update date
reference
read-only
string
Reference
start Date
read-only
stringdate
Start date
status
read-only
Status Enum
Status
Values
CREATEDDELETEDtype
read-only
Purchase Order Type Enum
Type of a purchase order
Values
PURCHASE_ORDERREFERENCE_ORDERExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ purchaseOrder/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "billingGroupId": 0, "creationDate": "2024-01-01T12:00:00Z", "description": "string", "endDate": "2024-01-01", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "reference": "string", "startDate": "2024-01-01", "status": "CREATED", "type": "PURCHASE_ORDER"}
Update a purchase orderBeta
PUT
/1.0/ me/ billing/ purchaseOrder/ {id}
Path parameters
id
required
integer
Id
Request body (required)
active
boolean
Active
billing Group Id
integer
Billing group identifier
description
string
Description
end Date
stringdate
End date
reference
string
Reference
start Date
stringdate
Start date
type
Purchase Order Type Enum
Type of a purchase order
Values
PURCHASE_ORDERREFERENCE_ORDERResponse
200—successful operation
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ purchaseOrder/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a purchase orderBeta
DELETE
/1.0/ me/ billing/ purchaseOrder/ {id}
Path parameters
id
required
integer
Id
Response
200—successful operation
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ purchaseOrder/ {id} \
-H "authorization: Bearer $OVH_TOKEN"